Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer
Class XMLStreamBufferResult

    java.lang.Object
      javax.xml.transform.sax.SAXResult
          com.sun.xml.stream.buffer.XMLStreamBufferResult

All Implemented Interfaces:
  javax.xml.transform.Result

    public class XMLStreamBufferResult

extends javax.xml.transform.sax.SAXResult

A JAXP Result implementation that supports the serialization to an `MutableXMLStreamBuffer` for use by applications that expect a Result.

Reuse of a XMLStreamBufferResult more than once will require that the MutableXMLStreamBuffer is reset by called `#.getXMLStreamBuffer()`.reset(), or by calling `#.setXMLStreamBuffer()` with a new instance of `MutableXMLStreamBuffer`.

The derivation of XMLStreamBufferResult from SAXResult is an implementation detail.

General applications shall not call the following methods:

- setHandler
- setLexicalHandler
- setSystemId

Field Summary
`protected MutableXMLStreamBuffer` | `_buffer`
`protected SAXBufferCreator` | `_bufferCreator`

Fields inherited from class javax.xml.transform.sax.SAXResult
`FEATURE`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XMLStreamBufferResult()` The default XMLStreamBufferResult constructor.
`XMLStreamBufferResult(MutableXMLStreamBuffer buffer)` XMLStreamBufferResult constructor.

Method Summary
`org.xml.sax.ContentHandler` | `getHandler()`
`org.xml.sax.ext.LexicalHandler` | `getLexicalHandler()`
`MutableXMLStreamBuffer` | `getXMLStreamBuffer()` Get the `MutableXMLStreamBuffer` that is used.
`void` | `setXMLStreamBuffer(MutableXMLStreamBuffer buffer)` Set the `MutableXMLStreamBuffer` to use.

Methods inherited from class javax.xml.transform.sax.SAXResult
`getSystemId, setHandler, setLexicalHandler, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _buffer

    protected MutableXMLStreamBuffer _buffer

### _bufferCreator

    protected SAXBufferCreator _bufferCreator

Constructor Detail

### XMLStreamBufferResult

    public XMLStreamBufferResult()

  The default XMLStreamBufferResult constructor.

  A `MutableXMLStreamBuffer` is instantiated and used.

### XMLStreamBufferResult

    public XMLStreamBufferResult(MutableXMLStreamBuffer buffer)

  XMLStreamBufferResult constructor.

  Parameters:
    `buffer` - the `MutableXMLStreamBuffer` to use.

Method Detail

### getXMLStreamBuffer

    public MutableXMLStreamBuffer getXMLStreamBuffer()

  Get the `MutableXMLStreamBuffer` that is used.

  Returns:
    the `MutableXMLStreamBuffer`.

### setXMLStreamBuffer

    public void setXMLStreamBuffer(MutableXMLStreamBuffer buffer)

  Set the `MutableXMLStreamBuffer` to use.

  Parameters:
    `buffer` - the `MutableXMLStreamBuffer`.

### getHandler

    public org.xml.sax.ContentHandler getHandler()

  Overrides:
    `getHandler` in class `javax.xml.transform.sax.SAXResult`

### getLexicalHandler

    public org.xml.sax.ext.LexicalHandler getLexicalHandler()

  Overrides:
    `getLexicalHandler` in class `javax.xml.transform.sax.SAXResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD